My Jeans CMS

Jeans CMS ver 1.0.0を公開しました

2014年10月20日

Jeans CMS ver 1.0.0を公開しました。Souceforge.jpのダウンロードページからダウンロードできます。
https://sourceforge.jp/projects/jeanscms/releases/

ver 0.9.6からのアップグレードの場合は、「jeans」 「skins」の2つのフォルダを上書きし、先の2つの記事「バージョン0.9から1.0に移行する際の注意」と「ver 1.0でのもう一つの変更点」を参考にして、SQLテーブルの修正を行なって下さい。

ver 1.0.0では、PHP5.2, PHP5.3, PHP5.4に対応できることを確認済みです。また、アルファーバージョンからベーターバージョンに移行致しました。

ver 0.9.6からの変更点については、SVN リビジョン293-352のコミット一覧を参照して下さい。
https://sourceforge.jp/projects/jeanscms/scm/svn/commits

今後の予定ですが、PHP5.3以上でサポートされるPHPの機能を盛り込んでいくつもりにしています(まだ、正式決定ではありません)。ですので、次期公開バージョンでは、PHP5.3以上が必要になると思います。ただし、PHP5.3は、PHPの開発チームにおけるサポートが既に終了していますので、セキュリティーのことを考え合わせると、現実問題としてはPHP5.4以上が必要だということかと思います。

ただし、Jeans CMSにおけるセキュリティー上の脆弱性が発見された場合、PHP5.2用のJeans CMSについても、当分の間は、セキュリティパッチを提供するつもりにしています。

今後とも、Jeans CMSをよろしくお願い致します。

Katsumi

コメント

コメントはありません

コメント送信